unit ZLibDelphi;

interface

{uses
  Windows, SysUtils;}

const

  ZLIB_VERSION = '1.2.1';

  Z_NO_FLUSH = 0;
  Z_FINISH = 4;

  Z_OK = 0;
  Z_STREAM_END = 1;

type

  PRZStream = ^RZStream;

  RZStream = record
    NextIn: PByte;
    AvailIn: Cardinal;
    TotalIn: Cardinal;
    NextOut: PByte;
    AvailOut: Cardinal;
    TotalOut: Cardinal;
    Msg: PAnsiChar;
    State: Pointer;
    AllocFunc: Pointer;
    FreeFunc: Pointer;
    Opaque: Cardinal;
    DataType: Integer;
    Adler: Cardinal;
    Reserved: Cardinal;
  end;

function  inflateInit_(strm: Pointer; version: Pointer; stream_size: Integer): Integer; cdecl; external;
function  inflateReset(strm: Pointer): Integer; cdecl; external;
function  inflate(strm: Pointer; flush: Integer): Integer; cdecl; external;
function  inflateSync(strm: Pointer): Integer; cdecl; external;
function  deflateInit(strm: Pointer; level: Integer): Integer;
function  deflateInit_(strm: Pointer; level: Integer; version: Pointer; stream_size: Integer): Integer; cdecl; external;
function  deflateReset(strm: Pointer): Integer; cdecl; external;
function  deflate(strm: Pointer; flush: Integer): Integer; cdecl; external;
function  deflateEnd(strm: Pointer): Integer; cdecl; external;
function  inflateEnd(strm: Pointer): Integer; cdecl; external;
function  deflateParams(strm: Pointer; level: Integer; strategy: Integer): Integer; cdecl; external;

implementation

{uses
  LibDelphi; }

function deflateInit(strm: Pointer; level: Integer): Integer;
begin
  Result:=deflateInit_(strm,level,PAnsiChar(ZLIB_VERSION),SizeOf(RZStream));
end;
(*
{$IF Defined(MSWINDOWS)}
{$L Compiled\win32\inflate.o}
{$L Compiled\win32\crc32.o}
{$L Compiled\win32\adler32.o}
{$L Compiled\win32\inftrees.o}
{$L Compiled\win32\inffast.o}
{$L Compiled\win32\deflate.o}
{$L Compiled\win32\zutil.o}
{$L Compiled\win32\trees.o}
{$L Compiled\win32\compress.o}
{$L Compiled\win32\uncompr.o}
{$ELSEIF Defined(FPC)}  *)
{$L Compiled\macosx\inflate.o}
{$L Compiled\macosx\crc32.o}
{$L Compiled\macosx\adler32.o}
{$L Compiled\macosx\inftrees.o}
{$L Compiled\macosx\inffast.o}
{$L Compiled\macosx\deflate.o}
{$L Compiled\macosx\zutil.o}
{$L Compiled\macosx\trees.o}
{$L Compiled\macosx\compress.o}
{$L Compiled\macosx\uncompr.o}
{ $IFEND}

end.








